% Funzione che contiene i punti di partenza per il calcolo
% In particolare:
% - cXo rappresenta le coordinate X di tutti i punti nodi imposte dal
% progetto per la correzione di offset;
% - cYo rappresenta le coordinate Y di tutti i punti nodi imposte dal
% progetto per la correzione di offset;
% - cZo rappresenta le coordinate Z di tutti i punti nodi imposte dal
% progetto per la correzione di offset;

function [cXo,cYo,cZo,asseX_RL,asseY_RL,asseZ_RL] =...
    punti_noti_exe_RL(asseX_RL,asseY_RL,asseZ_RL,DatiElabRadialLink,FileName)

[~,cE] = size(DatiElabRadialLink);
[num,~] = size(asseX_RL); 
cont = 6;
n = 2;
cXo = zeros(num+1,1);
cYo = zeros(num+1,1);
cZo = zeros(num+1,1);

while cont<=cE
      %% X
      cXo(n,1) = cell2mat(DatiElabRadialLink(1,cont));
    
      %% Y
      cYo(n,1) = cell2mat(DatiElabRadialLink(1,cont+1));

      %% Z
      cZo(n,1) = cell2mat(DatiElabRadialLink(1,cont+2));
        
      cont=cont+9;
      n = n+1;
end

asseX_RL(:,1) = diff(cXo);
asseY_RL(:,1) = diff(cYo);
asseZ_RL(:,1) = diff(cZo);

cXo = cXo(2:end)';
cYo = cYo(2:end)';
cZo = cZo(2:end)';

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'punti_noti_exe_RL function worked correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end
